| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# xtoa.h File Reference

`#include <cstdlib>`

Include dependency graph for xtoa.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | __cdecl
#define | __stdcall
#define | _ecvt ecvt
## Functions
char *__cdecl | _itoa (int val, char *buf, int radix)
char *__cdecl | _ltoa (long val, char *buf, int radix)
char *__cdecl | _ultoa (unsigned long val, char *buf, int radix)

## Define Documentation

#define __cdecl

Definition at line 2 of file xtoa.h.

#define __stdcall

Definition at line 3 of file xtoa.h.

#define _ecvt ecvt

Definition at line 19 of file xtoa.h.

## Function Documentation

char* __cdecl _itoa | ( | int | val,
|  | char * | buf,
|  | int | radix |
| ) |  |  |

Definition at line 83 of file xtoa.cpp.

References xtoa().

Referenced by HistogramSvc::_STR(), DataStreamTool::addStream(), analyzeItem(), NTupleSvc::book(), AIDATupleSvc::book(), DataStreamTool::connectStream(), RootHistCnv::RConverter::createAddress(), HbookCnv::HConverter::createAddress(), NTupleSvc::createDirectory(), DataSvc::findObject(), DataSvc::registerObject(), MessageSvc::reportMessage(), DataSvc::retrieveObject(), DataSvc::unregisterObject(), and GFALDataStreamTool::updateStreams().

    00083                                                                  {
    00084   if (radix == 10 && val < 0)
    00085     xtoa((unsigned long)val, buf, radix, 1);
    00086   else
    00087     xtoa((unsigned long)(unsigned int)val, buf, radix, 0);
    00088   return buf;
    00089 }

char* __cdecl _ltoa | ( | long | val,
|  | char * | buf,
|  | int | radix |
| ) |  |  |

Definition at line 91 of file xtoa.cpp.

References xtoa().

    00091                                                                  {
    00092   xtoa((unsigned long)val, buf, radix, (radix == 10 && val < 0));
    00093   return buf;
    00094 }

char* __cdecl _ultoa | ( | unsigned long | val,
|  | char * | buf,
|  | int | radix |
| ) |  |  |

Definition at line 96 of file xtoa.cpp.

References xtoa().

    00096                                                                                 {
    00097   xtoa(val, buf, radix, 0);
    00098   return buf;
    00099 }